<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;
if(!get_active('forums'))
{
	notActive();
}

$f_id = escs($_REQUEST['fid']);
$permissions = getForumPermissionsByUser($f_id, UID);

if ( (@$_SESSION['loggedin'] != 1 ) || ($permissions[FORUM_PERMISSIONS_CAN_OPEN_TOPIC] == 0) ) koobi_message('Global_NoPermission', 'Global_NoPermission_t', HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);
if ($_REQUEST['toid'] == "") koobi_message('Forums_Title', 'Forums_PermissionDenied', HOME_PATH . '/index.php?p=showforums&amp;area=' . AREA);

$status = FORUM_STATUS_OPEN;
$GLOBALS['db']->Query("UPDATE " . PREFIX . "_f_topic SET status = $status WHERE id = '" . $_REQUEST['toid'] . "'");

refer("index.php?p=showtopic&toid=$_REQUEST[toid]&fid=$_REQUEST[fid]");
exit;
?>